import { LitElement } from 'lit';
declare const UUISymbolSortElement_base: (new (...args: any[]) => import("@umbraco-ui/uui-base/lib/mixins").ActiveMixinInterface) & typeof LitElement;
/**
 *  @element uui-symbol-sort
 *  @description A symbol indicating whether related composition is sorting(active) and whether the sorting is ascending or descending.
 *  Please define aria-sort on the header for the composition.
 */
export declare class UUISymbolSortElement extends UUISymbolSortElement_base {
    /**
     * Turns the arrow around. Set this boolean to true for displaying descending sort is active.
     * @type {boolean}
     * @default false
     */
    descending: boolean;
    render(): import("lit-html").TemplateResult<1>;
    static styles: import("lit").CSSResult[];
}
declare global {
    interface HTMLElementTagNameMap {
        'uui-symbol-sort': UUISymbolSortElement;
    }
}
export {};
